--heder do z056
--#autor: Asd4
--$data: 03/11/2011r.
heder_bs = {};

function heder_bs.prerequisitesPresent(specializations)
    return true;
end;

function heder_bs:load(xmlFile)
end;

function heder_bs:delete()
   
end;

function heder_bs:mouseEvent(posX, posY, isDown, isUp, button)
end;

function heder_bs:keyEvent(unicode, sym, modifier, isDown)
end;


function heder_bs:update(dt)
--Animacje
    	if self:getIsActiveForSound() then
 	if InputBinding.isPressed(InputBinding.MOTOW) then
               self:setAnimationTime(3, self.animationParts[3].currentPosition+(self.animationParts[3].offSet+dt), false);
           elseif InputBinding.isPressed(InputBinding.MOTON) then
               self:setAnimationTime(3, self.animationParts[3].currentPosition-(self.animationParts[3].offSet+dt), false);
        end;
        	if InputBinding.isPressed(InputBinding.MOTOP) then
               self:setAnimationTime(4, self.animationParts[4].currentPosition+(self.animationParts[4].offSet+dt), false);
           elseif InputBinding.isPressed(InputBinding.MOTOT) then
               self:setAnimationTime(4, self.animationParts[4].currentPosition-(self.animationParts[4].offSet+dt), false);
        end;
          end;
    if self.reelStarted then    
      self:setAnimationTime(1, 1);
      self:setAnimationTime(2, 1);
      else
      self:setAnimationTime(1, 0);
      self:setAnimationTime(2, 0);
      end;
      	if self:getIsActiveForSound() then
    if InputBinding.isPressed(InputBinding.MOTOS) then
     if self.animationParts[2].clipSpeed < 5 then
      self.animationParts[2].clipSpeed = self.animationParts[2].clipSpeed+0.01;
	   end;
	  elseif InputBinding.isPressed(InputBinding.MOTOWO) then
	    if self.animationParts[2].clipSpeed > 0.5 then
      self.animationParts[2].clipSpeed = self.animationParts[2].clipSpeed-0.01;
      end
      end
	   end;

end;

function heder_bs:draw()
end;

function heder_bs:onDetach()

end;

function heder_bs:onLeave()

end;

function heder_bs:onDeactivate()

end;